# PSF-LoginServer - master - net.psforever.objects.inventory.InventoryDisarrayException
PSF - LoginServer - master - net.psforever.objects.inventory.InventoryDisarrayException
Keywords: PSF LoginServer master net.psforever.objects.inventory.InventoryDisarrayException

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package inventory
  Definition Classes
    objects
- Container
- GridInventory
- InventoryDisarrayException
- InventoryEquipmentSlot
- InventoryItem
- InventoryTile
- LocallyRegisteredInventory

c

net.psforever.objects.inventory

# InventoryDisarrayException 

###
Companion object InventoryDisarrayException

#### final case class InventoryDisarrayException(message: String = "", cause: Throwable) extends Exception with Product with Serializable

Some data in the grid portion of a `GridInventory` does not match against data that is expected to be found in the "list" portion of `GridInventory`. While merely eliminating the old data is possible, the discovery of this errant data could be hiding significantly greater issues, and these greater issues must be explored at a higher level of governance.

message

  the explanation of why the exception was thrown

cause

  any prior `Exception` that was thrown then wrapped in this one

Source
  InventoryDisarrayException.scala

Linear Supertypes
Product, Equals, Exception, Throwable, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InventoryDisarrayException
2. Product
3. Equals
4. Exception
5. Throwable
6. Serializable
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new InventoryDisarrayException(message: String = "", cause: Throwable)

   message

     the explanation of why the exception was thrown

   cause

     any prior `Exception` that was thrown then wrapped in this one

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def addSuppressed(arg0: Throwable): Unit
   Definition Classes
     Throwable
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def fillInStackTrace(): Throwable
   Definition Classes
     Throwable
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  def getCause(): Throwable
    Definition Classes
      Throwable
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def getLocalizedMessage(): String
    Definition Classes
      Throwable
13.  def getMessage(): String
    Definition Classes
      Throwable
14.  def getStackTrace(): Array[StackTraceElement]
    Definition Classes
      Throwable
15.  final def getSuppressed(): Array[Throwable]
    Definition Classes
      Throwable
16.  def initCause(arg0: Throwable): Throwable
    Definition Classes
      Throwable
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  def printStackTrace(arg0: PrintWriter): Unit
    Definition Classes
      Throwable
22.  def printStackTrace(arg0: PrintStream): Unit
    Definition Classes
      Throwable
23.  def printStackTrace(): Unit
    Definition Classes
      Throwable
24.  def productElementNames: Iterator[String]
    Definition Classes
      Product
25.  def setStackTrace(arg0: Array[StackTraceElement]): Unit
    Definition Classes
      Throwable
26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      Throwable → AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Product

### Inherited from Equals

### Inherited from Exception

### Inherited from Throwable

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped